<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">

<Properties>
		<Property name="logDir">INBERXLogs</Property>
		<Property name="maxFileSize">100 MB</Property>
		<Property name="maxRolloverFiles">10</Property>
 		<Property name="logPattern">%d{DEFAULT} %-5p [%t] [%c:%M] %m%n</Property>
	</Properties>


	<appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
		<param name="threshold" value="INFO" />
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="[%p] %m%n" />
		</layout>
	</appender>

	<appender name="NULL" class="org.apache.log4j.varia.NullAppender"/>

	<logger name="inberx-jms.log">
		<level value="INFO" />
		<appender-ref ref="INBERXAppender" />
	</logger>

	<logger name="org">
		<level value="WARN" />
		<appender-ref ref="CONSOLE" />
	</logger>

    <root>
		<level value="DEBUG" />
		<appender-ref ref="NULL" />
    </root>
    
    <RollingFile name="INBERXAppender" fileName="${logDir}/inberx-jms.log" filePattern="${logDir}/inberx-%i.log">
			<PatternLayout>
				<Pattern>${logPattern}</Pattern>
			</PatternLayout>
			<Policies>
				<OnStartupTriggeringPolicy />
				<SizeBasedTriggeringPolicy size="${maxFileSize}" />
			</Policies>
			<DefaultRolloverStrategy max="${maxRolloverFiles}"/>
		</RollingFile>
    
</log4j:configuration>




